# $Revision: 1.24 $, $Date: 2011/02/11 20:35:14 $
%define		modname	xcache
Summary:	%{modname} - PHP opcode cacher
Summary(pl.UTF-8):	%{modname} - buforowanie opcodów PHP
Name:		php-%{modname}
Version:	1.3.1
Release:	1
License:	BSD
Group:		Development/Languages/PHP
URL:		http://xcache.lighttpd.net/
Source0:	http://xcache.lighttpd.net/pub/Releases/%{version}/xcache-%{version}.tar.bz2
# Source0-md5:	36f3af6f1ab1ff631c4dc73f5d541226
Source1:	%{modname}-apache.conf
Source2:	%{modname}-lighttpd.conf
BuildRequires:	php-devel >= 3:5.1
BuildRequires:	rpmbuild(macros) >= 1.344
BuildRequires:	sed >= 4.0
%{?requires_zend_extension}
Requires:	php-common >= 4:5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{modname}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
XCache is a fast, stable PHP opcode cacher that has been tested and is
now running on production servers under high load.

%description -l pl.UTF-8
XCache to szybkie, stabilne buforowanie opcodów PHP, przetestowane i
działające na produkcyjnych serwerach o dużym obciążeniu.

%package web
Summary:	WEB interface for xCache
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	webapps
Requires:	webserver(php) >= 5.0

%description web
Via this web interface script you can manage and view statistics of
xCache.

More information you can find at %{url}.

%prep
%setup -q -n %{modname}-%{version}
%{__sed} -i -e '
	s,zend_extension =.*,zend_extension = %{php_extensiondir}/xcache.so,
	s,zend_extension_ts = .*,zend_extension_ts = %{php_extensiondir}/xcache.so,
' xcache.ini

%build
phpize
%configure \
	--enable-xcache \
	--enable-xcache-optimizer \
	--enable-xcache-coverager
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{_sysconfdir}}

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

# The cache directory where pre-compiled files will reside
install -d $RPM_BUILD_ROOT/var/cache/php-%{modname}
install -d $RPM_BUILD_ROOT%{_appdir}

# Drop in the bit of configuration
cp -a xcache.ini $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
cp -a admin/* $RPM_BUILD_ROOT%{_appdir}

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%triggerin web -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun web -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin web -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun web -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin web -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun web -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc AUTHORS README THANKS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

# XXX: what for this dir is used?
%dir %attr(775,root,http) /var/cache/php-xcache

%files web
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%{_appdir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-xcache.spec,v $
Revision 1.24  2011/02/11 20:35:14  areq
- 1.3.1

Revision 1.23  2010/12/11 21:37:43  arekm
- release 3

Revision 1.22  2010/06/03 07:39:37  glen
- release 2

Revision 1.21  2009/09/08 13:42:42  blues
- 1.3.0 (Stacho Pal <stacho@venco.com.pl>)

Revision 1.20  2008/11/13 17:58:40  glen
- release 3

Revision 1.19  2008/11/13 17:58:23  glen
- -web subpackage

Revision 1.18  2008-01-30 20:44:49  dzeus
- up to 1.2.2

Revision 1.17  2007-09-20 13:34:09  dzeus
- packaged lighttpd.conf, rel. 4, STBR

Revision 1.16  2007/09/17 09:59:54  glen
- add lighttpd integration; rel 3

Revision 1.15  2007/07/05 11:19:06  glen
- allow admin from localhost by default

Revision 1.14  2007/07/02 19:59:48  glen
- webapps integration; rel 2

Revision 1.13  2007/07/02 19:35:36  glen
- update to 1.2.1

Revision 1.12  2007/06/12 11:55:49  glen
- parallel make actually works

Revision 1.11  2007/06/12 11:55:16  glen
- rel 1

Revision 1.10  2007/02/18 01:52:48  glen
- add m4 patch, build still broken

Revision 1.9  2007/02/17 22:21:55  glen
- 1.2.0-release, but i fail to build it

Revision 1.8  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.6  2007/01/16 22:07:11  glen
- use new php extension macros

Revision 1.5  2006/11/26 23:48:35  glen
- 1.2.0-rc1: php 5.2 support (not tested)

Revision 1.4  2006/06/26 19:52:30  qboosh
- pl

Revision 1.3  2006/06/15 12:07:56  glen
- zend extension deps, not php extension
- fix extensiondir

Revision 1.2  2006/06/13 13:33:38  glen
- adjust BR

Revision 1.1  2006/06/13 13:32:24  glen
- new
